/*!
 * Custom elements for Nanopore-Digital Web applications
 */
import { proxyCustomElement, HTMLElement } from '@stencil/core/internal/client';

const searchResultCss = ":host,*,*::before,*::after{box-sizing:border-box}[hidden]{display:none !important}@media (prefers-reduced-motion: reduce){:host,*,*::before,*::after{animation-duration:0.01ms !important;animation-iteration-count:1 !important;transition-duration:0.01ms !important;scroll-behavior:auto !important}}:host,*,*::before,*::after{box-sizing:border-box}[hidden]{display:none !important}@media (prefers-reduced-motion: reduce){:host,*,*::before,*::after{animation-duration:0.01ms !important;animation-iteration-count:1 !important;transition-duration:0.01ms !important;scroll-behavior:auto !important}}";

const NanoSearchResult$1 = /*@__PURE__*/ proxyCustomElement(class NanoSearchResult extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    static get style() { return searchResultCss; }
}, [0, "nano-search-result"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nano-search-result"];
    components.forEach(tagName => { switch (tagName) {
        case "nano-search-result":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, NanoSearchResult$1);
            }
            break;
    } });
}

const NanoSearchResult = NanoSearchResult$1;
const defineCustomElement = defineCustomElement$1;

export { NanoSearchResult, defineCustomElement };
